FIX::TagOutOfOrder Struct Reference

Tag is not in the correct order. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::TagOutOfOrder:
[legend]
Collaboration diagram for FIX::TagOutOfOrder:
[legend]

## Public Member Functions

| TagOutOfOrder (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Tag is not in the correct order.

Definition at line 190 of file Exceptions.h.

## Constructor & Destructor Documentation

## TagOutOfOrder()

FIX::TagOutOfOrder::TagOutOfOrder | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 192 of file Exceptions.h.

: Exception( "Tag specified out of required order", what ),
field( f ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition Exceptions.h:35
FIX::TagOutOfOrder::field
int field
Definition Exceptions.h:195

## Member Data Documentation

## field

int FIX::TagOutOfOrder::field

Definition at line 195 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h